:root {
  --spot-font-family: Arial;
  --spot-padding: 1.25rem;
  --spot-background-color: #ffffff;
  --spot-font-color: #000000;
  --spot-border-radius: 0.5rem;

  --spot-title-font-size: 1.25rem;
  --spot-title-font-weight: 700;
  --spot-title-padding: 0 0 1.25rem 0;

  --spot-description-font-size: 0.875rem;
  --spot-description-font-weight: 400;
  --spot-description-padding: 0 0 0.5rem 0;

  --spot-bullets-font-size: 0.875rem;
  --spot-bullets-font-weight: 400;
  --spot-bullets-padding: 0.3125rem;

  --spot-table-border-radius: 0.625rem;

  --spot-table-header-font-size: 0.875rem;
  --spot-table-header-font-weight: 700;
  --spot-table-header-padding: 0 0.5rem 0.625rem;

  --spot-table-cell-font-size: 0.815rem;
  --spot-table-cell-font-weight: 400;
  --spot-table-cell-padding: 0 0.625rem;

  --spot-radio-border: #000000;
  --spot-radio-border-radius: 0.625rem;
  --spot-radio-checked-background: #000000;

  --spot-radio-text-font-size: 0.875rem;
  --spot-radio-text-font-weight: 400;
  --spot-radio-text-padding: 0.625rem;

  --spot-radio-selection-background: #f4f4f4;
  --spot-radio-selection-border-radius: 0.625rem;
  --spot-radio-selection-padding: 0.625rem;

  --spot-recommended-tag-background: #000000;
  --spot-recommended-tag-font-color: #ffffff;
  --spot-recommended-tag-font-size: 0.875rem;
  --spot-recommended-tag-font-weight: 700;
  --spot-recommended-tag-padding: 0.25rem 0.5rem;
  --spot-recommended-tag-border-radius: 0.5rem;

  --spot-selection-error-font-color: #ff0000;
  --spot-selection-error-font-size: 0.875rem;
  --spot-selection-error-padding: 0.5rem;

  --spot-payment-terms-background: #f4f4f4;
  --spot-payment-terms-border-radius: 0.625rem;
  --spot-payment-terms-padding: 1rem;
  --spot-payment-terms-font-color: #636569;
  --spot-payment-terms-font-size: 0.75rem;

  --spot-payment-terms-header-font-weight: 700;
  --spot-payment-terms-header-font-size: 0.875rem;
  --spot-payment-terms-header-margin-bottom: 0.5rem;
  --spot-payment-terms-header-border-color: #c2c2c2;
  --spot-payment-terms-header-padding: 0 0 0.5rem 0;

  --spot-terms-font-size: 0.75rem;
  --spot-terms-font-weight: 400;
  --spot-terms-font-color: #636569;
  --spot-terms-padding: 0;

  --spot-terms-link-text-decoration: underline;
  --spot-terms-link-font-size: 0.75rem;
  --spot-terms-link-font-weight: 400;
  --spot-terms-link-font-color: #636569;
  --spot-terms-link-padding: 0;
}

.spot-refund-guarantee {
  font-family: var(--spot-font-family);
  padding: var(--spot-padding);
  background-color: var(--spot-background-color);
  color: var(--spot-font-color);
  border: 0.0625rem solid #e0e0e0;
  border-radius: var(--spot-border-radius);
  max-width: 51rem;
  margin: 1rem;
}

.spot-refund-guarantee * {
  color: inherit;
}

.spot-header__title {
  font-size: var(--spot-title-font-size);
  font-weight: var(--spot-title-font-weight);
  padding: var(--spot-title-padding);
  color: var(--spot-title-font-color);
  font-family: var(--spot-title-font-family);
  line-height: 120%;
  letter-spacing: -0.03125rem;
}

.spot-header__description {
  font-size: var(--spot-description-font-size);
  font-weight: var(--spot-description-font-weight);
  color: var(--spot-description-font-color);
  font-family: var(--spot-description-font-family);
  padding: var(--spot-description-padding);
  line-height: 125%;
  letter-spacing: -0.025rem;
}

.spot-content__wrapper {
  display: flex;
  flex-direction: column;
}

/* Desktop Layout - Columns */
@media (min-width: 48rem) {
  .spot-content__wrapper.desktop-layout {
    display: grid;
    grid-template-columns: 1fr 20.3125rem;
    align-items: start;
    gap: 1rem;
  }

  .desktop-layout .spot-benefits__list {
    grid-row: 1;
  }

  .desktop-layout .spot-selection__options {
    grid-row: 2;
  }

  .desktop-layout .spot-table__container {
    grid-row: 1 / span 2;
  }
}

/* Mobile Layout - Stacked */
@media (max-width: 52.438rem) {
  .spot-selection__recommended-tag {
    display: inline-block;
    margin-left: 0;
    /*margin-top: 0.5rem;*/ /*showtable*/
  }
}

@media (max-width: 47.938rem) {
  .spot-selection__recommended-tag {
    margin-top: 0rem;
  }
}

@media (max-width: 32.125rem) {
  .spot-selection__recommended-tag {
    margin-top: 0.5rem;
  }
}

/* Mobile Layout - Stacked */
@media (max-width: 47.9375rem) {
  .spot-table__container {
    display: flex;
    justify-content: center;
  }
  .spot-selection__recommended-tag {
    display: inline-block;
    margin-left: 0;
  }
  .spot-footer__container {
    flex-direction: column;
    margin-top: 0.5rem;
  }
  .spot-refund__table {
    width: 100%;
    table-layout: auto;
  }
  .spot-refund__table th {
    padding: 0rem;
  }
}

/* Benefits List */
.spot-benefits__list {
  list-style-type: none;
  line-height: 125%;
  gap: 0.5625rem;
  font-size: var(--spot-bullets-font-size);
  font-weight: var(--spot-bullets-font-weight);
  color: var(--spot-bullets-font-color);
  font-family: var(--spot-bullets-font-family);
  padding: var(--spot-bullets-padding);
  margin-block-start: 0rem;
  margin-block-end: 0rem;
}

.spot-benefits__list li {
  margin-bottom: 0.5rem;
  display: flex;
  align-items: flex-start;
  gap: 0.5rem;
}

.spot-benefits__list li svg {
  flex-shrink: 0;
  position: relative;
  top: 0.125rem;
}

/* Payout Table */
.spot-table__container {
  width: 100%;
}
.spot-refund__table {
  max-width: 22rem;
  border-radius: var(--spot-table-border-radius);
  overflow: hidden;
  border: 0.09375rem solid #636569;
  table-layout: fixed;
  margin-bottom: 1.5rem;
  margin-top: 0.25rem;
  padding: 0.625rem;
}

.spot-refund__table--dynamic {
  height: auto !important;
  min-height: 7.5rem;
}
.spot-refund__table td,
.spot-refund__table th {
  padding: 0.375rem 0.625rem;
  text-align: left;
}

/* Table Cells */
.spot-refund__table th {
  text-align: left;
  font-size: var(--spot-table-header-font-size);
  font-weight: var(--spot-table-header-font-weight);
  color: var(--spot-table-header-font-color);
  font-family: var(--spot-table-header-font-family);
  padding: var(--spot-table-header-padding);
}

.spot-refund__table td {
  text-align: left;
  font-size: var(--spot-table-cell-font-size);
  font-weight: var(--spot-table-cell-font-weight);
  color: var(--spot-table-cell-font-color);
  font-family: var(--spot-table-cell-font-family);
  padding: var(--spot-table-cell-padding);
}

/* Radio Buttons */
input[type="radio"] {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  width: 0.75rem;
  height: 0.75rem;
  border: 0.0625rem solid var(--spot-radio-border);
  border-radius: var(--spot-radio-border-radius);
  margin-right: 0.5rem;
  position: relative;
  vertical-align: middle;
  top: -0.0625rem;
  cursor: pointer;
}

input[type="radio"]:checked {
  background: var(--spot-radio-checked-background);
  box-shadow: inset 0 0 0 0.0625rem white;
}

/* Radio Options */
.spot-selection__options {
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
}

.spot-selection__option {
  display: block;
  position: relative;
  transition: background 0.2s;
  cursor: pointer;
  font-size: var(--spot-radio-text-font-size);
  font-weight: var(--spot-radio-text-font-weight);
  color: var(--spot-radio-text-font-color);
  font-family: var(--spot-radio-text-font-family);
  padding: var(--spot-radio-text-padding);
  margin-right: 0.5rem;
  gap: 0.5rem;
  flex: 1 0 0;
  align-self: stretch;
}

.spot-selection__option.selected {
  background: var(--spot-radio-selection-background);
  border-radius: var(--spot-radio-selection-border-radius);
  padding: var(--spot-radio-selection-padding);
}

.spot-selection__recommended-tag {
  background: var(--spot-recommended-tag-background);
  color: var(--spot-recommended-tag-font-color);
  font-size: var(--spot-recommended-tag-font-size);
  font-weight: var(--spot-recommended-tag-font-weight);
  padding: var(--spot-recommended-tag-padding);
  border-radius: var(--spot-recommended-tag-border-radius);
  margin-left: 1.5rem;
  white-space: nowrap;
}

.spot-selection__error {
  color: var(--spot-selection-error-font-color);
  font-size: var(--spot-selection-error-font-size);
  padding: var(--spot-selection-error-padding);
  display: none;
}

.spot-payment-terms__wrapper {
  margin-top: 0rem;
}

.spot-payment-terms__header {
  font-weight: var(--spot-payment-terms-header-font-weight);
  margin-bottom: 0.5rem;
  padding: var(--spot-payment-terms-header-padding);
  font-size: var(--spot-payment-terms-header-font-size);
  border-bottom: 1px solid var(--spot-payment-terms-header-border-color);
}

.spot-payment-terms {
  background-color: var(--spot-payment-terms-background);
  border-radius: var(--spot-payment-terms-border-radius);
  padding: var(--spot-payment-terms-padding);
  margin-right: 0.5rem;
  color: var(--spot-payment-terms-font-color);
  font-size: var(--spot-payment-terms-font-size);
}

/* Footer */
.spot-footer__terms {
  margin-top: 0.625rem;
  margin-right: 0.25rem;
  font-size: var(--spot-terms-font-size);
  font-weight: var(--spot-terms-font-weight);
  color: var(--spot-terms-font-color);
  font-family: var(--spot-terms-font-family);
  padding: var(--spot-terms-padding);
}

.spot-footer__terms-link {
  text-decoration: var(--spot-terms-link-text-decoration);
  font-size: var(--spot-terms-link-font-size);
  font-weight: var(--spot-terms-link-font-weight);
  color: var(--spot-terms-link-font-color);
  font-family: var(--spot-terms-link-font-family);
  padding: var(--spot-terms-link-padding);
}

.spot-footer__container {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.spot-footer__powered-by {
  margin-top: 1.5rem;
}
